---
title: "List fixed asset types · Fixed Assets · COUNT Partner API"
description: "Lists the workspace's fixed asset types with their accounts and default depreciation settings. GET /partners/fixed-asset-types"
canonical: "https://developers.getcount.com/reference/fixed-assets/list-fixed-asset-types"
source: "https://developers.getcount.com/reference/fixed-assets/list-fixed-asset-types"
---
[Fixed Assets](https://developers.getcount.com/reference/fixed-assets) / List fixed asset types

# List fixed asset types

GET `/partners/fixed-asset-types`

Lists the workspace's fixed asset types with their accounts and default depreciation settings.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Ffixed-asset-types)

[Reports API](https://developers.getcount.com/reference/reports) [Bills API](https://developers.getcount.com/reference/bills) [Transactions API](https://developers.getcount.com/reference/transactions) [Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts)

#### Responses

`200` Every type in the workspace.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Next GET Get a fixed asset type](https://developers.getcount.com/reference/fixed-assets/get-fixed-asset-type)

GET `https://api.getcount.com/partners/fixed-asset-types`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/fixed-asset-types';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/fixed-asset-types`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Success on fetching fixed asset types",
  "data": {
    "fixedAssetTypes": [
      {
        "id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1d01",
        "name": "Computer Equipment",
        "assetAccount": {
          "id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1c01",
          "name": "Computer Equipment"
        },
        "accumulatedDepreciationAccount": {
          "id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1c02",
          "name": "Accumulated Depreciation - Computer Equipment"
        },
        "depreciationExpenseAccount": {
          "id": "0194c1d2-3e4f-7a5b-8c6d-7e8f9a0b1c03",
          "name": "Depreciation"
        },
        "defaultDepreciationMethod": "diminishing_value",
        "defaultAveragingMethod": "full_month",
        "defaultDepreciationFrequency": "monthly",
        "defaultCalculateBasis": "rate",
        "defaultRate": "50.0000",
        "defaultEffectiveLife": null,
        "createdAt": "2026-01-15T10:30:00.000Z",
        "updatedAt": "2026-01-28T14:22:30.000Z"
      }
    ]
  }
}
```
